const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
Page({

	data: {
		coach_id: '',
		class_id: '',
		lesson_id: '',
		stuList: [],
		courseData: '',
		noticeCount: 9,
	},

	onLoad: function (options) {
		this.setData({
			class_id: options.class_id,
			lesson_id: options.lesson_id
		})
		console.log(options.lesson_id)
		this.getlessondetail()

	},

	getlessondetail: function () {
		let params = {
			url: 'coach/lessondetail',
			data: {
				coach_id: 5,
				class_id: this.data.class_id,
				lesson_id: this.data.lesson_id
			},
			callback: (data) => {
				console.log(data)
				this.setData({
					courseData: data,
					stuList: data.class_single_person
				})
			}
		}
		base.newRequest(params)
	},

	goperformance: function (e) {
		var child_id = e.currentTarget.dataset.id
		console.log(child_id)
		wx.navigateTo({
			url: '../../index/performance/performance?child_id=' + child_id,
		})
	},
	gocourseinstant: function () {
		wx.navigateTo({
			url: '../../index/courseInstant/courseInstant',
		})
	},


})