const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		coach_id: '5',
		class_id: '',
		lesson_id: '',
		classTime: '', // 上课时间
		showView: true,
		list: [],
		locked: false,
		

	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		this.setData({
			// coach_id: '5',
			class_id: options.class_id,
			lesson_id: options.lesson_id,
			classTime: options.classTime, // 上课时间
		})
		this.getDetail()
	},
	getDetail() {
		let params = {
			url: 'coach/manage_lesson',
			data: {
				coach_id: this.data.coach_id,
				class_id: this.data.class_id,
				lesson_id: this.data.lesson_id
			},
			callback:(data)=>{
				this.setData({
					list: data,
					locked: false
				})
				console.log(data)
			}
		}
		base.newRequest(params)
	},
	showButton: function (e) {
		let child_id = e.currentTarget.dataset.id
		let params = {
			url: 'coach/sign',
			data: {
				coach_id: this.data.coach_id,
				lesson_id: this.data.lesson_id,
				child_id: child_id
			},
			callback:(data)=>{
				base.toast('签到成功')
				this.setData({
					list: []
				})
				this.getDetail()
			},
		}
		base.newRequest(params)
	},
	gocourseInstant: function () {
		wx.navigateTo({
			url: '/pages/index/courseInstant/courseInstant',
		})
	},
	goevaluation: function () {
		wx.navigateTo({
			url: '/pages/index/evaluation/evaluation',
		})
	},
	onPullDownRefresh() {
		this.setData({
			list: [],
			locked: false,
		})
		if (!this.data.locked) {
			this.setData({
				locked: true
			})
			this.getDetail()
		}
		wx.stopPullDownRefresh()
	}
})